org.apache.cassandra.metrics

## Class ConnectionMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.ConnectionMetrics

    public class ConnectionMetrics
    extends java.lang.Object

Metrics for `OutboundTcpConnectionPool`.

### Field Summary

Fields
`java.lang.String` `address`
`com.yammer.metrics.core.Gauge<java.lang.Long>` `commandCompletedTasks` Completed tasks for Command(Mutations, Read etc) TCP Connections
`com.yammer.metrics.core.Gauge<java.lang.Long>` `commandDroppedTasks` Dropped tasks for Command(Mutations, Read etc) TCP Connections
`com.yammer.metrics.core.Gauge<java.lang.Integer>` `commandPendingTasks` Pending tasks for Command(Mutations, Read etc) TCP Connections
`com.yammer.metrics.core.Gauge<java.lang.Long>` `responseCompletedTasks` Completed tasks for Response(GOSSIP & RESPONSE) TCP Connections
`com.yammer.metrics.core.Gauge<java.lang.Integer>` `responsePendingTasks` Pending tasks for Response(GOSSIP & RESPONSE) TCP Connections
`com.yammer.metrics.core.Meter` `timeouts` Number of timeouts for specific IP
`static com.yammer.metrics.core.Meter` `totalTimeouts` Total number of timeouts happened on this node
`static java.lang.String` `TYPE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionMetrics(java.net.InetAddress ip, OutboundTcpConnectionPool connectionPool)` Create metrics for given connection pool.

### Method Summary

Methods
`long` `getRecentTimeout()` Deprecated.
`static long` `getRecentTotalTimeout()` Deprecated.
`void` `release()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_NAME

    public static final java.lang.String TYPE_NAME

See Also:
  Constant Field Values

#### totalTimeouts

    public static final com.yammer.metrics.core.Meter totalTimeouts

Total number of timeouts happened on this node

#### address

    public final java.lang.String address

#### commandPendingTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Integer> commandPendingTasks

Pending tasks for Command(Mutations, Read etc) TCP Connections

#### commandCompletedTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Long> commandCompletedTasks

Completed tasks for Command(Mutations, Read etc) TCP Connections

#### commandDroppedTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Long> commandDroppedTasks

Dropped tasks for Command(Mutations, Read etc) TCP Connections

#### responsePendingTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Integer> responsePendingTasks

Pending tasks for Response(GOSSIP & RESPONSE) TCP Connections

#### responseCompletedTasks

    public final com.yammer.metrics.core.Gauge<java.lang.Long> responseCompletedTasks

Completed tasks for Response(GOSSIP & RESPONSE) TCP Connections

#### timeouts

    public final com.yammer.metrics.core.Meter timeouts

Number of timeouts for specific IP

### Constructor Detail

#### ConnectionMetrics

    public ConnectionMetrics(java.net.InetAddress ip,
                     OutboundTcpConnectionPool connectionPool)

Create metrics for given connection pool.

Parameters:
  `ip` - IP address to use for metrics label
  `connectionPool` - Connection pool

### Method Detail

#### release

    public void release()

#### getRecentTotalTimeout

    @Deprecated
    public static long getRecentTotalTimeout()

Deprecated.

#### getRecentTimeout

    @Deprecated
    public long getRecentTimeout()

Deprecated.